<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:ui="http://java.sun.com/jsf/facelets"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:h="http://java.sun.com/jsf/html"
xmlns:c="http://java.sun.com/jsp/jstl/core"
xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
xmlns:p="http://primefaces.org/ui"
xmlns:pe="http://primefaces.org/ui/extensions" ng-app="myProject">
	
	<head>
	<title>ART</title>
		<meta name="description" content="ART" />
		<meta name="keywords" content="ART" />
		<!-- <title>Oua Travels</title> -->
		<!-- <meta name="description" content="Oua Travels." /> -->
		<link rel="icon" type="image/png" href="images/favicon.png"/>

		<!-- <meta name="keywords" content="Oua Travels" /> -->
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
		<link href="app/assets/css/main.css" rel="stylesheet" type="text/css" />
		<link rel="image_src" href="images/logo.png" />
		<link rel="shortcut icon" type="image/x-icon" href="app/images/favicon.ico" />
		<link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="app/plugins/jQuery-ui/jquery-ui.css" type="text/css"/>
		<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen"/>
		<link href="app/assets/css/custom.css" rel="stylesheet" media="screen"/>
		<link href="app/assets/css/custom-new.css" rel="stylesheet" media="screen"/> 
		<link rel="stylesheet" type="text/css" href="app/plugins/rs-plugin/css/settings2.css" media="screen" />
		<link href="plugins/kGallery/kGallery.css" rel="stylesheet" />
		<link href="app/assets/css/editor.css" rel="stylesheet" />
		
		<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-touch.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
		<script type="text/javascript" src="app/assets/angular/app.js"></script>
		
		<script type="text/javascript" src="app/assets/js/jquery.validate.min.js"></script>
		<script type="text/javascript" src="app/plugins/bootstrap/js/bootstrap.min.js"></script>

		
	
		<style>
			#pswd_info {
					position:absolute;
					bottom:245px;
					bottom: -115px\9; /* IE Specific */
					right:279px;
					width:250px;
					padding:15px;
					background:#fefefe;
					font-size:.875em;
					border-radius:5px;
					box-shadow:0 1px 3px #ccc;
					border:1px solid #ddd;
					z-index: 1000;

				}
				#pswd_info h4 {
					margin:0 0 10px 0;
					padding:0;
					font-weight:normal;
				}

				#pswd_info::before {
					content: "\25B2";
					position:absolute;
					top:-12px;
					left:45%;
					font-size:14px;
					line-height:14px;
					color:#ddd;
					text-shadow:none;
					display:block;
				}
				.invalid {
					background:url(../images/invalid.png) no-repeat 0 50%;
					padding-left:22px;
					line-height:24px;
					color:#979495;
				}
				.valid {
					background:url(../images/valid.png) no-repeat 0 50%;
					padding-left:22px;
					line-height:24px;
					color:#0aca2f;
				}
				#pswd_info {
					display:none;
				}
				ul, li {
					margin:0;
					padding:0;
					list-style-type:none;
				}
		</style>
	</head>
	<body class="register" onload='document.registerForm.passwordCreate.focus();'>
		
		<section>
			<div class="registerPanel">
				<div class="row">
					<div class="logopanel col-md-3 col-md-offset-4 text-center">
						<h2>
							<img src="images/logo.png" alt="logo"/>
						</h2>
					</div>
					<!-- logopanel -->
				</div>
				<div class="row">
					<div class="col-md-5 col-md-offset-3">
						
						<div class="error-message" style="color:red; text-align:center; padding:5px; display:none;"></div>
						<div class="success-message" style="color:green; text-align:center; padding:5px; display:none;"></div>
						
						<form name="validateForm" id="validateForm" style="display: none;">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class="control-label"><span class="star">Email Id</span></label>
										<div class="input-group col-xs-12 col-sm-8 col-md-8 col-lg-8">
											<input type="email" id="travelEmail" name="travelEmail" value="" class="form-control borderRads" placeholder="Enter your mail id" readonly="true" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="col-xs-4 col-sm-4 col-md-3 col-lg-3 pad0">
										<button onclick="userValidate();" type="submit" class="btn btn-primary">Submit</button>
									</div>
									<div class="col-xs-8 col-sm-6 col-md-5 col-lg-5 loading mt5" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
								</div>
							</div>
						</form>
						<form name="registerForm" style="display: block;" id="registerForm">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class=""><span class="star">Email Id</span></label>
										<div class="input-group col-xs-12 col-sm-8 col-md-6 col-lg-6">
											<input type="email" id="travelEmailId" name="travelEmailId" value="" class="form-control borderRads" placeholder="Enter your mail id" readonly="true" />
										</div>
									</div>
								</div>
								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="passwordCreate"><span class="star">Create Password</span></label>
										<input type="password" value="" id="passwordCreate" name="passwordCreate" autocomplete="off" class="form-control borderRads pword" placeholder="Choose a Password" />
									</div>
									<div class="form-group col-md-6">
										<label class="" for="password_again"><span class="star">Confirm Password</span></label>
										<input type="password" value="" id="password_again" name="password_again" autocomplete="off" class="form-control borderRads pword" placeholder="Repeat the Password" />
									</div>
								</div>
								<div id="pswd_info">
									<h4>Password must meet the following requirements:</h4>
									<ul>
										<li id="length" class="invalid"> <i class='fa fa-check-circle'></i> 8 or more characters</li>
										<li id="splChar" class="invalid"><i class='fa fa-check-circle'></i> Atleast one Special characters</li>
										<li id="capital" class="invalid"><i class='fa fa-check-circle'></i> Upper and Lowercase letters</li>
										<li id="number" class="invalid"><i class='fa fa-check-circle'></i> Atleast one number</li>
									</ul>
									<br/>
									<h4> <strong> Strength:</strong></h4>
									<ul>
										<li> 
											<div class="progress">
												<div id="progress" class="progress-bar"></div>
											</div>
										</li>
										<li>
											Avoid using a password that you use with other websites or that might be easy for someone else to guess.
										</li>
									</ul>
								</div>

								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15">
									<div class="form-group">
										<label class="">
											<span class="star">Username</span>
										</label>
										<div class="">
											<div class="col-xs-4 col-sm-3 col-md-3 col-lg-3 pad0">
												<select class="form-control borderRads" value="" id="travellerTitle" name="travellerTitle" style="padding: 6px;" >
													<option value="">Title</option>
													<option value="MR">Mr</option>
													<option value="MS">Ms</option>
													<option value="MRS">Mrs</option>
												</select>
											</div>
											<div class="col-xs-12 col-sm-9 col-md-5 col-lg-5">
												<input type="text" value="" name="travellerFname" id="travellerFname" class="form-control borderRads" placeholder="First Name" />
											</div>
											<div class="col-xs-12 col-sm-9 col-md-4 col-lg-4">
												<input type="text" value="" name="travellerLname" id="travellerLname" class="form-control borderRads" placeholder="Last Name" />
											</div>
										</div>
									</div>
								</div>
								

								<div class="form-row">
									<div class="form-group col-md-6">
										<label for="gender1"><span class="star">Gender</span></label>
										<select class="form-control borderRads" id="gender1" name="gender" required="true" >
											<option value="">Gender</option>
											<option value="MR">Male</option>
											<option value="MS">Female</option>
											<option value="MRS">Transgender</option>
										</select>
									</div>
									<div class="form-group col-md-6">
										<label class="" for="country"><span class="star">Country</span></label>
										<select class="form-control borderRads" value="" id="country" name="country" required="true" >
											<option value="">Country</option>
										</select>
									</div>
								</div>

								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15">
									<div class="form-group">
										<label class="">
											<span class="star">Contact No</span>
										</label>
										<div class="">
											<div class="col-xs-4 col-sm-3 col-md-2 col-lg-2 pad0">
												<input type="text" value="" name="travellerCc" id="travellerCc" class="form-control borderRads" maxlength="5" placeholder="Code" />
											</div>
											<div class="col-xs-12 col-sm-9 col-md-6 col-lg-6">
												<input type="text" value="" name="travellerMobile" id="travellerMobile" class="form-control borderRads" maxlength="10" placeholder="Enter your mobile number" />
											</div>
										</div>
									</div>
								</div>

								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="passportNo"><span>Passport Number</span></label>
										<input type="text" value="" id="passportNo" name="passportNo" autocomplete="off" class="form-control borderRads pword" placeholder="Passport Number" />
									</div>
									<div class="form-group col-md-6">
										<label class="" for="travellerTitle"><span>Passport Issue Govt</span></label>
										<select class="form-control borderRads" id="passportIssueGovt" name="passportIssueGovt" >
											<option value="">Title</option>
											<option value="MR">Mr</option>
											<option value="MS">Ms</option>
											<option value="MRS">Mrs</option>
										</select>
									</div>
								</div>

								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="passportIssueDate">Passport Issue Date</label>
										<input type="date" class="form-control" id="passportIssueDate" name="passportIssueDate" />
									</div>
									<div class="form-group col-md-6">
										<label class="" for="passportExpiryDate"><span>Passport Expiry Date</span></label>
										<input type="date" class="form-control" id="passportExpiryDate" name="passportExpiryDate" />
									</div>
								</div>

								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group mb0">
										<div class="form-check">
										<input class="form-check-input" type="checkbox" id="newsletter" />
										<label class="form-check-label" for="newsletter">
											I accept for both NewsLetter and Promotions
										</label>
										</div>
									</div>
								</div>

								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class=" col-xs-8 col-sm-5 col-md-12 col-lg-12 text-right">
										<button onclick="createAccnt()" type="submit" class="btn btn-primary">Create Account</button>
									</div>
									<div class="col-xs-12 col-sm-6 col-md-5 col-lg-5 mt5 loading hidden-xs" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
									<div class="col-xs-4 col-sm-6 col-md-5 col-lg-5 offset-0 visible-xs loading" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 mt20">
						<div class="signup-footer col-md-5 col-md-offset-3">
							<div class="pull-left">&copy; 2020 by ART Travel. All Rights Reserved.</div>			
						</div>
					</div>
				</div>
			</div>
		</section>
		<style>
			.mb15{margin-bottom: 15px;}
			.required { border: 1px solid red; }
			body { overflow-y:auto !important; overflow-x: hidden;  }
			.loading {top:10px;}
			.registerPanel form {
			background: rgba(255, 255, 255, 0.2) none repeat scroll 0 0;
			border: 1px solid #ccc;
			border-radius: 3px;
			box-shadow: 0 3px 0 rgba(12, 12, 12, 0.03);
			padding: 30px;
			}
			body{
			background-color: #fff !important;
			}
			.mt20{margin-top: 20px;}
			label.error:empty {display: none !important;}
			label.error {display: none !important;}
			.registerPanel .pword {background: #fff url("app/images/locked.png") no-repeat scroll 95% center;}
			span.star::after {
			color: red;
			content: "*"; 
			}
			.pad0{padding: 0;}
		</style>
		<script>
			var user_email = getUserEmail();
			document.getElementById('travelEmail').value = user_email;
			document.getElementById('travelEmailId').value = user_email;
			var $valid = jQuery('#validateForm').valid();
			function userValidate(){
				var userValidateReq = '{"loginid":"'+user_email+'","triggermail":"N"}';
				if(!$valid) {
					return false;
					} else {
					$('.loading').show();
					$.post("rest/user/validate", userValidateReq, function(result){
						$('.loading').hide();
						var resultData = JSON.parse(result);
						if(resultData.data.userRegistered=='N') {
							$('#registerForm').show();
							$('#validateForm').hide();
							}else{
							Lobibox.alert('success',
							{
								msg: "It's seems to be you've registered with us already. Please login to continue your account."
							});
							setTimeout(function(){
								location.assign('index.jsf');
							},3000)
						}
					})
				}
			}
			
			var user_id = getUserId();
			var $validator = jQuery("#registerForm").validate({
				rules: {
					passwordCreate: "required",
					travellerTitle: "required",
					travellerFname: "required",
					travellerLname: "required",
					travellerCc: "required",
					travellerMobile: "required",
					password_again: {
						equalTo: "#passwordCreate"
					}
				},
				highlight: function(element) {
					jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
				},
				success: function(element) {
					jQuery(element).closest('.form-group').removeClass('has-error');
				}
			});
			function createAccnt() {
				var password = document.getElementById('passwordCreate').value;
				var password_again = document.getElementById('password_again').value;
				var salutation = document.getElementById('travellerTitle').value;
				var fname = document.getElementById('travellerFname').value;
				var lname = document.getElementById('travellerLname').value;
				var mobileCc = document.getElementById('travellerCc').value;
				var mobileNo = document.getElementById('travellerMobile').value;
				//var user_email = getUserEmail();
				var userRegisterReq = '{"loginid":"'+user_email+'","userid":"'+user_id+'","password":"'+password+'","confirmpassword": "'+password_again+'","profiledata":{"userid":"'+user_id+'","personaldata":{"salutation":"'+salutation+'","fname":"'+fname+'","lname":"'+lname+'","mobcntrycode":"'+mobileCc+'","mobile":"'+mobileNo+'","email":"'+user_email+'"} }}';
				var $valid = jQuery('#registerForm').valid();
				if(!$valid) {
					return false;
					} else {
					$('.loading').show();
					$.post("rest/user/register", userRegisterReq, function(result){
						var resultData = JSON.parse(result);
						if(resultData.status=='SUCCESS') {
							$('.loading').hide();
							$('.error-message').hide();
							var user_name = user_email;
							var user_pass = $('#password_again').val();
							$.ajax({
								url: "rest/user/signin",    
								data: '{ "userName" : "'+user_name+'", "password" : "'+user_pass+'"}',
								type: "POST",
								success: function(result) {
									var result = JSON.parse(result);
									if (result.status == "SUCCESS") {
										location.assign('index.jsf');
										return true;
									} 
									else if (result.status == "FAILURE"){
										$('.error-message').text(result.errorMessage).show();
										return false;
									}
								},
								error: function(XMLHttpRequest, textStatus, errorThrown){       
									return false; 
								}
							});
						} else {
							$('.loading').hide();
							$('.success-message').hide();
							$('.error-message').text(resultData.errorMessage).show();
						}
						$('#registerForm')[0].reset();
					});
				}
			}
			function getUserEmail() {
				var queryStr = location.search;
				var queryStrSplt = queryStr.split('=');
				var mailStrSplt = queryStrSplt[1];
				var umail = mailStrSplt.split('&amp;')[0];
				return umail;
			}
			function getUserId() {
				var queryStr = location.search;
				var queryStrSplt = queryStr.split('&amp;');
				var uid = queryStrSplt[1];
				return uid;
			}

			//COUNTRY CODE
			$(document).ready(function(){
				var tokenval = JSON.parse(localStorage.getItem("authentication"));
				$.ajaxSetup({
					headers:{
						'Authorization': "Bearer " + tokenval.data.authToken
					}
				});

				$.get("rest/api/v1/list/code/country", function(result){
						var resultData = JSON.parse(result);
						if(resultData.status=='SUCCESS') {

						}
					});
			});

			//DATE RANGE RESTRICT
			$(function(){
				var dtToday = new Date();
				var month = dtToday.getMonth() + 1;
				var day = dtToday.getDate();
				var year = dtToday.getFullYear();
				var maxDate = year + '-' + month + '-' + day;
				$('#passportIssueDate').attr('max', maxDate);
				$('#passportExpiryDate').attr('min', maxDate);
			});

			//DATE RESTRICT SIX MONTH
			function sixMonthsPrior() {
				var d = new Date();
				var m = $("#passportExpiryDate").val();
				m = new Date(m).getMonth();
				d.setMonth(d.getMonth() - 6);
				var diff = (m + 12 - d.getMonth()) % 12;
				if(diff < 6){
					m.setDate(0);
				}
			}
			

			$(function(){
				$("#passportExpiryDate").change(function() {
					//sixMonthsPrior();
				});
			});
			
			//PASSWORD CHECKER ALIGNMENT
			$(function(){
				$("#password_again").keyup(function() {
					$('#pswd_info').css({"right":"31px"});
				});
				$("#passwordCreate").keyup(function() {
					$('#pswd_info').css({"right":"279px"});
				});
			});

			//PASSWORD CHECKER 			
			$(document).ready(function() {
					$('input[type=password]').keyup(function() {
						
					var percentage = 0; 
		
						var pswd = $(this).val();
						if ( pswd.length < 8 ) {
			$('#length').removeClass('valid').addClass('invalid');
		} else {
			percentage += 25;
			$('#length').removeClass('invalid').addClass('valid');
		}
	
		if ( pswd.match(/[A-Z]/) ) {
			percentage += 25;
			$('#capital').removeClass('invalid').addClass('valid');
		} else {
			$('#capital').removeClass('valid').addClass('invalid');
		}
		
		if(pswd.match(/[!@#\$%\^&\*]/))
		{
			percentage += 25;
			$('#splChar').removeClass('invalid').addClass('valid');
		} else {
			$('#splChar').removeClass('valid').addClass('invalid');
		}
		
		//validate number
		if ( pswd.match(/\d/) ) {
			percentage += 25;
			$('#number').removeClass('invalid').addClass('valid');
		} else {
			$('#number').removeClass('valid').addClass('invalid');
		}
		
		if(percentage < 25){
			$(".progress-bar").css("background", "white");
		}else if(percentage < 50)
		{
			$(".progress-bar").css("background", "#f34c26");
		}else if(percentage < 75)
		{
			$(".progress-bar").css("background", "#caf326");
		}else if(percentage < 100)
		{
			$(".progress-bar").css("background", "#f3ab26");
		}else{
			$(".progress-bar").css("background", "#0f910c");
		
		}
		
		$(".progress-bar").css("width", percentage + "%"); 
		$('#pswd_info').show();
		
		
		}).focus(function() {
		}).blur(function() {
			$('#pswd_info').hide();
		});
		
		
		});

		</script>	
	</body>
</html>			